﻿using System;
using System.Collections.Generic;
using Newtonsoft.Json;
using Newtonsoft.Json.Converters;

namespace Maples.eServices.UI.Models.StructureChart
{
	/// <summary>
	/// The View Model for Structure Charts results
	/// </summary>
	public class StructureChartEntityModel
	{
    /// <summary>
    /// Gets or sets the identifier.
    /// </summary>
    public int Id { get; set; }

		/// <summary>
		/// Gets or sets the company for the display model
		/// </summary>
		/// <value>The base company</value>
		public string EntityName { get; set; }

		/// <summary>
		/// Gets or sets the jurisdiction for the model
		/// </summary>
		/// <value>The jurisdiction</value>
		public string Jurisdiction { get; set; }

		/// <summary>
		/// Gets or sets the type of the entity
		/// </summary>
		/// <value>The type of the entity</value>
		public string EntityType { get; set; }

    /// <summary>
    /// Gets or sets the entity type enum.
    /// </summary>
	  public EntityType EntityTypeEnum
	  {
	    get { return (EntityType) Enum.Parse(typeof (EntityType), this.EntityType); } 
	    set { EntityType = value.ToString(); }
	  }
	}
}