﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace Maples.eServices.UI.Models.StructureChart
{
  /// <summary>
  /// The structure chart link model
  /// </summary>
  public class StructureChartLinkModel
  {

    /// <summary>
    /// Initializes a new instance of the <see cref="StructureChartLinkModel"/> class.
    /// </summary>
    public StructureChartLinkModel()
    {
      Description = string.Empty;
    }

    /// <summary>
    /// Gets or sets the identifier.
    /// </summary>
    public int Id { get; set; }

    /// <summary>
    /// Gets or sets from identifier.
    /// </summary>
    /// <value>
    /// From identifier.
    /// </value>
    public int FromId { get; set; }

    /// <summary>
    /// Gets or sets to identifier.
    /// </summary>
    /// <value>
    /// To identifier.
    /// </value>
    public int ToId { get; set; }

    /// <summary>
    /// Gets or sets the description.
    /// </summary>
    /// <value>
    /// The description.
    /// </value>
    public string Description { get; set; }

    /// <summary>
    /// Gets or sets the type of the link.
    /// </summary>
    /// <value>
    /// The type of the link.
    /// </value>
    public LinkType LinkType { get; set; }
  }
}