﻿using System.Collections.Generic;
using Maples.eServices.Data.Core;

namespace Maples.eServices.UI.Models.StructureChart
{
	/// <summary>
	/// The View Model for Structure Charts results
	/// </summary>
	public class StructureChartResultsModel
	{
		/// <summary>
		/// Gets or sets the base company as the starting point of the diagram
		/// </summary>
		/// <value>The base company</value>
		public Company BaseCompany { get; set; }

		/// <summary>
		/// Gets or sets the entity collection
		/// </summary>
		/// <value>The entities</value>
		public virtual List<StructureChartEntityModel> Entities { get; set; }

    /// <summary>
    /// Gets or sets the entity links
    /// </summary>
    /// <value>The entity links</value>
    public virtual List<StructureChartLinkModel> Links { get; set; }
	}
}